-3

I'm getting an error every the time when I open the "Updates manager", trying to update some Drivers, Controllers (It talks about something of the way to download some data from repositories) on Linux Mint 18 KDE Edition, how could I fix it?

LINUX MINT 18 ERROR

W:The repository 'cdrom://Linux Mint 18 Sarah - Release amd64 20160904 xenial Release' does not have a Release file., W:Data from such a repository can't be authenticated and is therefore potentially dangerous to use., W:See apt-secure(8) manpage for repository creation and user configuration details., E:Failed to fetch cdrom://Linux Mint 18 Sarah - Release amd64 20160904/dists/xenial/contrib/binary-amd64/Packages Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMs, E:Some index files failed to download. They have been ignored, or old ones used instead.

I'm tired also getting this error at the same time moreless a message saying that "check your internet connection" and as you can see, I'm wired....

ERROR REPOSITORIES CONNECTIVITY

0

You probably want to update to latest version available online.

If yes, then open /etc/apt/sources.list as root and remove line starting like deb cdrom:[Linux Mint 18 Sarah this line saying to download updates from cdrom because it was much faster than internet in ancient times of computers.

If it is the only line in file look at "sample-etc-apt-sources-list-for-linux-mint-17" it is for Mint 17.1 but it will be similar.

  • Sorry, how can I open that file with sudo? I can't find the answer, and I dont know anything about it – M. Mariscal Sep 28 '16 at 21:01
  • Resolved! But now it doesn't open the Drivers Manager – M. Mariscal Sep 28 '16 at 21:37
0

The repository may no longer be available or could not be contacted because of network problems. If available an older version of the failed index will be used. Otherwise the repository will be ignored. Check your network connection and ensure the repository address in the preferences is correct.The repository 'cdrom://Linux Mint 18 Sarah - Release amd64 20160904 xenial Release' does not have a Release file.Data from such a repository can't be authenticated and is therefore potentially dangerous to use.See apt-secure(8) manpage for repository creation and user configuration details.Failed to fetch cdrom://Linux Mint 18 Sarah - Release amd64 20160904/dists/xenial/contrib/binary-amd64/Packages Please use apt-cdrom to make this CD-ROM recognized by APT. apt-get update cannot be used to add new CD-ROMsSome index files failed to download. They have been ignored, or old ones used instead.i get this to

0

There's an option on PPA repository which one is checked, is CD-ROM!! After uncheck it, everything works and disappear the error.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.